OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapNodeOfDataMapOfStringString Class Reference

`#include <TDataStd_DataMapNodeOfDataMapOfStringString.hxx>`

## Public Member Functions
| TDataStd_DataMapNodeOfDataMapOfStringString (const TCollection_ExtendedString &K, const TCollection_ExtendedString &I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
TCollection_ExtendedString & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_ExtendedString | myKey
TCollection_ExtendedString | myValue

## Constructor & Destructor Documentation

TDataStd_DataMapNodeOfDataMapOfStringString::TDataStd_DataMapNodeOfDataMapOfStringString | ( | const TCollection_ExtendedString & | K,
|  | const TCollection_ExtendedString & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDataStd_DataMapNodeOfDataMapOfStringString::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& TDataStd_DataMapNodeOfDataMapOfStringString::Key | ( |  | ) | const

TCollection_ExtendedString& TDataStd_DataMapNodeOfDataMapOfStringString::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString TDataStd_DataMapNodeOfDataMapOfStringString::myKey`[private]`

TCollection_ExtendedString TDataStd_DataMapNodeOfDataMapOfStringString::myValue`[private]`

The documentation for this class was generated from the following file:

- TDataStd_DataMapNodeOfDataMapOfStringString.hxx